> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/data-access/object-types/who-abac-rule.md).

# WhoAbacRule

Represents a single ABAC rule for the WHO items of an access control.

```graphql
type WhoAbacRule {
  id: ID!
  promiseDuration: Duration
  rule: AbacComparisonExpression
  type: AccessWhoItemType!
}
```

### Fields

#### id ● [`ID!`](/api/graphql/data-access/scalars/id.md) non-null scalar <a href="#id" id="id"></a>

#### promiseDuration ● [`Duration`](/api/graphql/data-access/scalars/duration.md) scalar <a href="#promise-duration" id="promise-duration"></a>

In case `type=WhoPromise`, this indicates the duration of the promise.

#### rule ● [`AbacComparisonExpression`](/api/graphql/data-access/unions/abac-comparison-expression.md) union <a href="#rule" id="rule"></a>

The boolean expression defining the ABAC rule.

#### type ● [`AccessWhoItemType!`](/api/graphql/data-access/enumerations/access-who-item-type.md) non-null enum <a href="#type" id="type"></a>

Determines whether the users from this ABAC rule will get access granted directly or only a promise (pre-approval).

### Member Of

[`AccessControl`](/api/graphql/data-access/object-types/access-control.md) object ● `ModifiedWhoAbacRules` object


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/data-access/object-types/who-abac-rule.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
